<?php

namespace App\Http\Controllers\Api;

use App\GrupoDeCompra;
use App\Http\Controllers\Controller;
use App\Http\Resources\SubpedidoResource;
use App\TipoPedido;

class OllasController extends Controller
{
    public function pedido(GrupoDeCompra $gdc)
    {
        $tipoOlla = TipoPedido::firstOrCreate(['nombre' => 'olla']);
        $pedido = $gdc->subpedidos()->firstOrCreate([
            'nombre' => 'Pedido de Ollas de ' . $gdc->nombre,
            'tipo_pedido_id' => $tipoOlla->id,
        ]);
        return response()->json(new SubpedidoResource($pedido));
    }
}
